// Mocks generated by Mockito 5.4.2 from annotations
// in neoroo/test/authentication_test/authentication_test.dart.
// Do not manually edit this file.

// ignore_for_file: no_leading_underscores_for_library_prefixes
import 'dart:async' as _i8;

import 'package:flutter/cupertino.dart' as _i7;
import 'package:http/http.dart' as _i2;
import 'package:mockito/mockito.dart' as _i1;
import 'package:neoroo/models/baby_details_caregiver.dart' as _i10;
import 'package:neoroo/models/baby_details_family_member.dart' as _i9;
import 'package:neoroo/models/profile.dart' as _i4;
import 'package:neoroo/models/tracked_attributes.dart' as _i3;
import 'package:neoroo/network/authentication_client.dart' as _i6;
import 'package:neoroo/repository/authentication_repository.dart' as _i11;
import 'package:neoroo/repository/hive_storage_repository.dart' as _i5;

// ignore_for_file: type=lint
// ignore_for_file: avoid_redundant_argument_values
// ignore_for_file: avoid_setters_without_getters
// ignore_for_file: comment_references
// ignore_for_file: implementation_imports
// ignore_for_file: invalid_use_of_visible_for_testing_member
// ignore_for_file: prefer_const_constructors
// ignore_for_file: unnecessary_parenthesis
// ignore_for_file: camel_case_types
// ignore_for_file: subtype_of_sealed_class

class _FakeResponse_0 extends _i1.SmartFake implements _i2.Response {
  _FakeResponse_0(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeTrackedAttributes_1 extends _i1.SmartFake
    implements _i3.TrackedAttributes {
  _FakeTrackedAttributes_1(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeProfile_2 extends _i1.SmartFake implements _i4.Profile {
  _FakeProfile_2(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeHiveStorageRepository_3 extends _i1.SmartFake
    implements _i5.HiveStorageRepository {
  _FakeHiveStorageRepository_3(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeAuthenticationClient_4 extends _i1.SmartFake
    implements _i6.AuthenticationClient {
  _FakeAuthenticationClient_4(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeBuildContext_5 extends _i1.SmartFake implements _i7.BuildContext {
  _FakeBuildContext_5(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

/// A class which mocks [AuthenticationClient].
///
/// See the documentation for Mockito's code generation for more information.
class MockAuthenticationClient extends _i1.Mock
    implements _i6.AuthenticationClient {
  MockAuthenticationClient() {
    _i1.throwOnMissingStub(this);
  }

  @override
  _i8.Future<_i2.Response> loginUser(
    String? username,
    String? password,
    String? serverURL,
  ) =>
      (super.noSuchMethod(
        Invocation.method(
          #loginUser,
          [
            username,
            password,
            serverURL,
          ],
        ),
        returnValue: _i8.Future<_i2.Response>.value(_FakeResponse_0(
          this,
          Invocation.method(
            #loginUser,
            [
              username,
              password,
              serverURL,
            ],
          ),
        )),
      ) as _i8.Future<_i2.Response>);
  @override
  _i8.Future<_i2.Response> getOrganisationName(
    String? id,
    String? username,
    String? password,
    String? serverURL,
  ) =>
      (super.noSuchMethod(
        Invocation.method(
          #getOrganisationName,
          [
            id,
            username,
            password,
            serverURL,
          ],
        ),
        returnValue: _i8.Future<_i2.Response>.value(_FakeResponse_0(
          this,
          Invocation.method(
            #getOrganisationName,
            [
              id,
              username,
              password,
              serverURL,
            ],
          ),
        )),
      ) as _i8.Future<_i2.Response>);
  @override
  _i8.Future<dynamic> getUserRoleName(
    String? userRoleId,
    String? username,
    String? password,
    String? serverURL,
  ) =>
      (super.noSuchMethod(
        Invocation.method(
          #getUserRoleName,
          [
            userRoleId,
            username,
            password,
            serverURL,
          ],
        ),
        returnValue: _i8.Future<dynamic>.value(),
      ) as _i8.Future<dynamic>);
}

/// A class which mocks [HiveStorageRepository].
///
/// See the documentation for Mockito's code generation for more information.
class MockHiveStorageRepository extends _i1.Mock
    implements _i5.HiveStorageRepository {
  MockHiveStorageRepository() {
    _i1.throwOnMissingStub(this);
  }

  @override
  _i8.Future<void> saveTrackedAttribute(
          _i3.TrackedAttributes? trackedAttribute) =>
      (super.noSuchMethod(
        Invocation.method(
          #saveTrackedAttribute,
          [trackedAttribute],
        ),
        returnValue: _i8.Future<void>.value(),
        returnValueForMissingStub: _i8.Future<void>.value(),
      ) as _i8.Future<void>);
  @override
  _i8.Future<_i3.TrackedAttributes> getTarckedAttribute(
          String? trackedAttributeShortName) =>
      (super.noSuchMethod(
        Invocation.method(
          #getTarckedAttribute,
          [trackedAttributeShortName],
        ),
        returnValue:
            _i8.Future<_i3.TrackedAttributes>.value(_FakeTrackedAttributes_1(
          this,
          Invocation.method(
            #getTarckedAttribute,
            [trackedAttributeShortName],
          ),
        )),
      ) as _i8.Future<_i3.TrackedAttributes>);
  @override
  _i8.Future<void> saveUserProfile(_i4.Profile? profile) => (super.noSuchMethod(
        Invocation.method(
          #saveUserProfile,
          [profile],
        ),
        returnValue: _i8.Future<void>.value(),
        returnValueForMissingStub: _i8.Future<void>.value(),
      ) as _i8.Future<void>);
  @override
  _i8.Future<_i4.Profile> getUserProfile() => (super.noSuchMethod(
        Invocation.method(
          #getUserProfile,
          [],
        ),
        returnValue: _i8.Future<_i4.Profile>.value(_FakeProfile_2(
          this,
          Invocation.method(
            #getUserProfile,
            [],
          ),
        )),
      ) as _i8.Future<_i4.Profile>);
  @override
  _i8.Future<void> saveOrganisationURL(String? url) => (super.noSuchMethod(
        Invocation.method(
          #saveOrganisationURL,
          [url],
        ),
        returnValue: _i8.Future<void>.value(),
        returnValueForMissingStub: _i8.Future<void>.value(),
      ) as _i8.Future<void>);
  @override
  _i8.Future<String> getOrganisationURL() => (super.noSuchMethod(
        Invocation.method(
          #getOrganisationURL,
          [],
        ),
        returnValue: _i8.Future<String>.value(''),
      ) as _i8.Future<String>);
  @override
  _i8.Future<String?> getSelectedOrgName() => (super.noSuchMethod(
        Invocation.method(
          #getSelectedOrgName,
          [],
        ),
        returnValue: _i8.Future<String?>.value(),
      ) as _i8.Future<String?>);
  @override
  _i8.Future<void> saveCredentials(
    String? username,
    String? password,
    String? serverURL,
    String? avatarId,
    String? name,
  ) =>
      (super.noSuchMethod(
        Invocation.method(
          #saveCredentials,
          [
            username,
            password,
            serverURL,
            avatarId,
            name,
          ],
        ),
        returnValue: _i8.Future<void>.value(),
        returnValueForMissingStub: _i8.Future<void>.value(),
      ) as _i8.Future<void>);
  @override
  _i8.Future<Map<String, List<String>>> getSavedCredentials() =>
      (super.noSuchMethod(
        Invocation.method(
          #getSavedCredentials,
          [],
        ),
        returnValue: _i8.Future<Map<String, List<String>>>.value(
            <String, List<String>>{}),
      ) as _i8.Future<Map<String, List<String>>>);
  @override
  _i8.Future<void> saveOrganisations(List<String>? organisationList) =>
      (super.noSuchMethod(
        Invocation.method(
          #saveOrganisations,
          [organisationList],
        ),
        returnValue: _i8.Future<void>.value(),
        returnValueForMissingStub: _i8.Future<void>.value(),
      ) as _i8.Future<void>);
  @override
  _i8.Future<List<String>> getSavedOrganisations() => (super.noSuchMethod(
        Invocation.method(
          #getSavedOrganisations,
          [],
        ),
        returnValue: _i8.Future<List<String>>.value(<String>[]),
      ) as _i8.Future<List<String>>);
  @override
  _i8.Future<String> getSelectedOrganisation() => (super.noSuchMethod(
        Invocation.method(
          #getSelectedOrganisation,
          [],
        ),
        returnValue: _i8.Future<String>.value(''),
      ) as _i8.Future<String>);
  @override
  _i8.Future<void> setIsCareGiver(bool? isCareGiver) => (super.noSuchMethod(
        Invocation.method(
          #setIsCareGiver,
          [isCareGiver],
        ),
        returnValue: _i8.Future<void>.value(),
        returnValueForMissingStub: _i8.Future<void>.value(),
      ) as _i8.Future<void>);
  @override
  _i8.Future<bool> getIsCareGiver() => (super.noSuchMethod(
        Invocation.method(
          #getIsCareGiver,
          [],
        ),
        returnValue: _i8.Future<bool>.value(false),
      ) as _i8.Future<bool>);
  @override
  _i8.Future<void> setUserGroups(List<String>? userGroups) =>
      (super.noSuchMethod(
        Invocation.method(
          #setUserGroups,
          [userGroups],
        ),
        returnValue: _i8.Future<void>.value(),
        returnValueForMissingStub: _i8.Future<void>.value(),
      ) as _i8.Future<void>);
  @override
  _i8.Future<List<String>> getUserGroups() => (super.noSuchMethod(
        Invocation.method(
          #getUserGroups,
          [],
        ),
        returnValue: _i8.Future<List<String>>.value(<String>[]),
      ) as _i8.Future<List<String>>);
  @override
  _i8.Future<void> logOutUser() => (super.noSuchMethod(
        Invocation.method(
          #logOutUser,
          [],
        ),
        returnValue: _i8.Future<void>.value(),
        returnValueForMissingStub: _i8.Future<void>.value(),
      ) as _i8.Future<void>);
  @override
  _i8.Future<void> saveSelectedOrganisation(
    String? id,
    String? name,
  ) =>
      (super.noSuchMethod(
        Invocation.method(
          #saveSelectedOrganisation,
          [
            id,
            name,
          ],
        ),
        returnValue: _i8.Future<void>.value(),
        returnValueForMissingStub: _i8.Future<void>.value(),
      ) as _i8.Future<void>);
  @override
  _i8.Future<void> storeBabyFamilyMember(
          _i9.BabyDetailsFamilyMember? babyDetailsFamilyMember) =>
      (super.noSuchMethod(
        Invocation.method(
          #storeBabyFamilyMember,
          [babyDetailsFamilyMember],
        ),
        returnValue: _i8.Future<void>.value(),
        returnValueForMissingStub: _i8.Future<void>.value(),
      ) as _i8.Future<void>);
  @override
  _i8.Future<_i9.BabyDetailsFamilyMember?> getBabyDetailsFamilyMember() =>
      (super.noSuchMethod(
        Invocation.method(
          #getBabyDetailsFamilyMember,
          [],
        ),
        returnValue: _i8.Future<_i9.BabyDetailsFamilyMember?>.value(),
      ) as _i8.Future<_i9.BabyDetailsFamilyMember?>);
  @override
  _i8.Future<List<_i10.BabyDetailsCaregiver>?> getBabyDetailsCaregiver() =>
      (super.noSuchMethod(
        Invocation.method(
          #getBabyDetailsCaregiver,
          [],
        ),
        returnValue: _i8.Future<List<_i10.BabyDetailsCaregiver>?>.value(),
      ) as _i8.Future<List<_i10.BabyDetailsCaregiver>?>);
  @override
  _i8.Future<void> saveBabyDetailsCaregiver(
          List<_i10.BabyDetailsCaregiver>? listOfBabies) =>
      (super.noSuchMethod(
        Invocation.method(
          #saveBabyDetailsCaregiver,
          [listOfBabies],
        ),
        returnValue: _i8.Future<void>.value(),
        returnValueForMissingStub: _i8.Future<void>.value(),
      ) as _i8.Future<void>);
  @override
  _i8.Future<void> addBaby(_i10.BabyDetailsCaregiver? babyDetailsCaregiver) =>
      (super.noSuchMethod(
        Invocation.method(
          #addBaby,
          [babyDetailsCaregiver],
        ),
        returnValue: _i8.Future<void>.value(),
        returnValueForMissingStub: _i8.Future<void>.value(),
      ) as _i8.Future<void>);
  @override
  _i8.Future<void> updateBaby(
    String? birthDate,
    String? birthTime,
    String? motherName,
    double? birthWeight,
    double? bodyLength,
    double? headCircumference,
    String? familyMemberGroup,
    String? caregiverGroup,
    String? birthDescription,
    int? index,
  ) =>
      (super.noSuchMethod(
        Invocation.method(
          #updateBaby,
          [
            birthDate,
            birthTime,
            motherName,
            birthWeight,
            bodyLength,
            headCircumference,
            familyMemberGroup,
            caregiverGroup,
            birthDescription,
            index,
          ],
        ),
        returnValue: _i8.Future<void>.value(),
        returnValueForMissingStub: _i8.Future<void>.value(),
      ) as _i8.Future<void>);
}

/// A class which mocks [AuthenticationRepository].
///
/// See the documentation for Mockito's code generation for more information.
class MockAuthenticationRepository extends _i1.Mock
    implements _i11.AuthenticationRepository {
  MockAuthenticationRepository() {
    _i1.throwOnMissingStub(this);
  }

  @override
  _i5.HiveStorageRepository get hiveStorageRepository => (super.noSuchMethod(
        Invocation.getter(#hiveStorageRepository),
        returnValue: _FakeHiveStorageRepository_3(
          this,
          Invocation.getter(#hiveStorageRepository),
        ),
      ) as _i5.HiveStorageRepository);
  @override
  _i6.AuthenticationClient get authenticationClient => (super.noSuchMethod(
        Invocation.getter(#authenticationClient),
        returnValue: _FakeAuthenticationClient_4(
          this,
          Invocation.getter(#authenticationClient),
        ),
      ) as _i6.AuthenticationClient);
  @override
  _i7.BuildContext get context => (super.noSuchMethod(
        Invocation.getter(#context),
        returnValue: _FakeBuildContext_5(
          this,
          Invocation.getter(#context),
        ),
      ) as _i7.BuildContext);
  @override
  _i8.Future<dynamic> loginUser(
    String? username,
    String? password,
    String? serverURL,
  ) =>
      (super.noSuchMethod(
        Invocation.method(
          #loginUser,
          [
            username,
            password,
            serverURL,
          ],
        ),
        returnValue: _i8.Future<dynamic>.value(),
      ) as _i8.Future<dynamic>);
  @override
  _i8.Future<dynamic> getOrganisationListDetails() => (super.noSuchMethod(
        Invocation.method(
          #getOrganisationListDetails,
          [],
        ),
        returnValue: _i8.Future<dynamic>.value(),
      ) as _i8.Future<dynamic>);
  @override
  _i8.Future<void> selectOrganisation(
    String? id,
    String? name,
  ) =>
      (super.noSuchMethod(
        Invocation.method(
          #selectOrganisation,
          [
            id,
            name,
          ],
        ),
        returnValue: _i8.Future<void>.value(),
        returnValueForMissingStub: _i8.Future<void>.value(),
      ) as _i8.Future<void>);
  @override
  _i8.Future<Map<String, dynamic>> isLocalAuthSupported() =>
      (super.noSuchMethod(
        Invocation.method(
          #isLocalAuthSupported,
          [],
        ),
        returnValue:
            _i8.Future<Map<String, dynamic>>.value(<String, dynamic>{}),
      ) as _i8.Future<Map<String, dynamic>>);
  @override
  _i8.Future<Map<String, dynamic>> getSavedCredentials() => (super.noSuchMethod(
        Invocation.method(
          #getSavedCredentials,
          [],
        ),
        returnValue:
            _i8.Future<Map<String, dynamic>>.value(<String, dynamic>{}),
      ) as _i8.Future<Map<String, dynamic>>);
}
